<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__stack__params__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_stack_params_t</compoundname>
    <includes local="no">cy_ble.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__stack__params__t_1ae4eb09b1d178e28aa14c9a9c751a2a51" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_ble_stack_params_t::tx5dbmModeEn</definition>
        <argsstring />
        <name>tx5dbmModeEn</name>
        <briefdescription>
<para>Tx 5dbm mode enable. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="310" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="310" />
      </memberdef>
      <memberdef id="structcy__stc__ble__stack__params__t_1aad44998c4d1790a110a957704f50c575" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__mxd__pa__cal__param__t">cy_stc_ble_mxd_pa_cal_param_t</ref> *</type>
        <definition>cy_stc_ble_mxd_pa_cal_param_t* cy_stc_ble_stack_params_t::paCalConfig</definition>
        <argsstring />
        <name>paCalConfig</name>
        <briefdescription>
<para>Configuration parameter for Radio PA calibration. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="313" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="313" />
      </memberdef>
      <memberdef id="structcy__stc__ble__stack__params__t_1a98406f3d0c54019fb60b458899e651b1" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_stack_params_t::featureMask</definition>
        <argsstring />
        <name>featureMask</name>
        <briefdescription>
<para>The feature set mask used to control usage of specified feature in the BLE stack. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="317" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="317" />
      </memberdef>
      <memberdef id="structcy__stc__ble__stack__params__t_1a0c7ab316b70ec4ef48b2e2c58a3638e0" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_stack_params_t::dleMaxTxCapability</definition>
        <argsstring />
        <name>dleMaxTxCapability</name>
        <briefdescription>
<para>Max Tx payload size. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="320" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="320" />
      </memberdef>
      <memberdef id="structcy__stc__ble__stack__params__t_1a64d295f22c228f4d58953380ba585732" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_stack_params_t::dleMaxRxCapability</definition>
        <argsstring />
        <name>dleMaxRxCapability</name>
        <briefdescription>
<para>Max Rx payload size. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="323" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="323" />
      </memberdef>
      <memberdef id="structcy__stc__ble__stack__params__t_1ac4c5ec21f5d51b5404bed475b74a170a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_stack_params_t::totalHeapSz</definition>
        <argsstring />
        <name>totalHeapSz</name>
        <briefdescription>
<para>Memory heap pointer size. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="326" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="326" />
      </memberdef>
      <memberdef id="structcy__stc__ble__stack__params__t_1aa27019ceb78c1bc5a15cc2d7487cef66" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_ble_stack_params_t::memoryHeapPtr</definition>
        <argsstring />
        <name>memoryHeapPtr</name>
        <briefdescription>
<para>Memory heap pointer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="329" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="329" />
      </memberdef>
      <memberdef id="structcy__stc__ble__stack__params__t_1ae8a62d27903b4c7c24e2d1128d2142a3" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_stack_params_t::controllerTotalHeapSz</definition>
        <argsstring />
        <name>controllerTotalHeapSz</name>
        <briefdescription>
<para>Controller memory heap size (uses only in dual CPU mode) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="332" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="332" />
      </memberdef>
      <memberdef id="structcy__stc__ble__stack__params__t_1a1711e158f781d70b32d856c5d4a38985" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_ble_stack_params_t::controllerMemoryHeapPtr</definition>
        <argsstring />
        <name>controllerMemoryHeapPtr</name>
        <briefdescription>
<para>Controller memory heap pointer (uses only in dual CPU mode) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="335" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="335" />
      </memberdef>
      <memberdef id="structcy__stc__ble__stack__params__t_1a28e14233478435c65936b07e3f288796" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_stack_params_t::l2capBufferPerConn</definition>
        <argsstring />
        <name>l2capBufferPerConn</name>
        <briefdescription>
<para>Configuration for the L2CAP buffer for data transmission. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="338" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="338" />
      </memberdef>
      <memberdef id="structcy__stc__ble__stack__params__t_1a5a4ed7f5bb36487e3de7a6e54e5ad857" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_stack_params_t::maxResolvableDevListSize</definition>
        <argsstring />
        <name>maxResolvableDevListSize</name>
        <briefdescription>
<para>The maximum number of devices that can be added to the resolve list. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="341" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="341" />
      </memberdef>
      <memberdef id="structcy__stc__ble__stack__params__t_1ac4694ea42c8685fd4b3961276e4eb309" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_stack_params_t::maxBondedDevListSize</definition>
        <argsstring />
        <name>maxBondedDevListSize</name>
        <briefdescription>
<para>The maximum number of devices that can be added to the white list. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="344" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="344" />
      </memberdef>
      <memberdef id="structcy__stc__ble__stack__params__t_1af4a04a946bb0a122c7e09b114297e6f7" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_stack_params_t::maxWhiteListSize</definition>
        <argsstring />
        <name>maxWhiteListSize</name>
        <briefdescription>
<para>The maximum number of bonded devices to be supported by this device. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="347" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="347" />
      </memberdef>
      <memberdef id="structcy__stc__ble__stack__params__t_1a495bb8f8aef3c42f41ff080870b5bc85" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_stack_params_t::maxConnCount</definition>
        <argsstring />
        <name>maxConnCount</name>
        <briefdescription>
<para>Maximum number of BLE connections. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="350" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="350" />
      </memberdef>
      <memberdef id="structcy__stc__ble__stack__params__t_1a77c1fef8c2acbbc148f15a2645c7aeb8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_stack_params_t::packageType</definition>
        <argsstring />
        <name>packageType</name>
        <briefdescription>
<para>Package type. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="353" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="353" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>BLE Stack parameters. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="1242">
        <label>cy_stc_ble_stack_params_t</label>
        <link refid="structcy__stc__ble__stack__params__t" />
        <childnode refid="1243" relation="usage">
          <edgelabel>paCalConfig</edgelabel>
        </childnode>
      </node>
      <node id="1243">
        <label>cy_stc_ble_mxd_pa_cal_param_t</label>
        <link refid="structcy__stc__ble__mxd__pa__cal__param__t" />
      </node>
    </collaborationgraph>
    <location bodyend="356" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="307" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="308" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__stack__params__t_1a1711e158f781d70b32d856c5d4a38985" virt="non-virtual"><scope>cy_stc_ble_stack_params_t</scope><name>controllerMemoryHeapPtr</name></member>
      <member prot="public" refid="structcy__stc__ble__stack__params__t_1ae8a62d27903b4c7c24e2d1128d2142a3" virt="non-virtual"><scope>cy_stc_ble_stack_params_t</scope><name>controllerTotalHeapSz</name></member>
      <member prot="public" refid="structcy__stc__ble__stack__params__t_1a64d295f22c228f4d58953380ba585732" virt="non-virtual"><scope>cy_stc_ble_stack_params_t</scope><name>dleMaxRxCapability</name></member>
      <member prot="public" refid="structcy__stc__ble__stack__params__t_1a0c7ab316b70ec4ef48b2e2c58a3638e0" virt="non-virtual"><scope>cy_stc_ble_stack_params_t</scope><name>dleMaxTxCapability</name></member>
      <member prot="public" refid="structcy__stc__ble__stack__params__t_1a98406f3d0c54019fb60b458899e651b1" virt="non-virtual"><scope>cy_stc_ble_stack_params_t</scope><name>featureMask</name></member>
      <member prot="public" refid="structcy__stc__ble__stack__params__t_1a28e14233478435c65936b07e3f288796" virt="non-virtual"><scope>cy_stc_ble_stack_params_t</scope><name>l2capBufferPerConn</name></member>
      <member prot="public" refid="structcy__stc__ble__stack__params__t_1ac4694ea42c8685fd4b3961276e4eb309" virt="non-virtual"><scope>cy_stc_ble_stack_params_t</scope><name>maxBondedDevListSize</name></member>
      <member prot="public" refid="structcy__stc__ble__stack__params__t_1a495bb8f8aef3c42f41ff080870b5bc85" virt="non-virtual"><scope>cy_stc_ble_stack_params_t</scope><name>maxConnCount</name></member>
      <member prot="public" refid="structcy__stc__ble__stack__params__t_1a5a4ed7f5bb36487e3de7a6e54e5ad857" virt="non-virtual"><scope>cy_stc_ble_stack_params_t</scope><name>maxResolvableDevListSize</name></member>
      <member prot="public" refid="structcy__stc__ble__stack__params__t_1af4a04a946bb0a122c7e09b114297e6f7" virt="non-virtual"><scope>cy_stc_ble_stack_params_t</scope><name>maxWhiteListSize</name></member>
      <member prot="public" refid="structcy__stc__ble__stack__params__t_1aa27019ceb78c1bc5a15cc2d7487cef66" virt="non-virtual"><scope>cy_stc_ble_stack_params_t</scope><name>memoryHeapPtr</name></member>
      <member prot="public" refid="structcy__stc__ble__stack__params__t_1aad44998c4d1790a110a957704f50c575" virt="non-virtual"><scope>cy_stc_ble_stack_params_t</scope><name>paCalConfig</name></member>
      <member prot="public" refid="structcy__stc__ble__stack__params__t_1a77c1fef8c2acbbc148f15a2645c7aeb8" virt="non-virtual"><scope>cy_stc_ble_stack_params_t</scope><name>packageType</name></member>
      <member prot="public" refid="structcy__stc__ble__stack__params__t_1ac4c5ec21f5d51b5404bed475b74a170a" virt="non-virtual"><scope>cy_stc_ble_stack_params_t</scope><name>totalHeapSz</name></member>
      <member prot="public" refid="structcy__stc__ble__stack__params__t_1ae4eb09b1d178e28aa14c9a9c751a2a51" virt="non-virtual"><scope>cy_stc_ble_stack_params_t</scope><name>tx5dbmModeEn</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>